Page MenuHomePhabricator

Clean up origin trial code
Closed, ResolvedPublic

Description

Now that the origin trials are coming to an end, we can delete their corresponding code. Recent examples have shown that there are usually syntax differences with the final version of these APIs.

Event Timeline

Gilles created this task.Aug 20 2019, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2019, 4:41 PM
Gilles triaged this task as Normal priority.Aug 20 2019, 4:41 PM
Gilles changed the task status from Open to Stalled.Aug 21 2019, 9:16 AM

Let's schedule this for September 5, once all ongoing origin trials have ended, so we clean everything up at once.

Change 531530 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Remove some origin trials + graduate ElementTiming

https://gerrit.wikimedia.org/r/531530

Change 531530 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Remove some origin trials + graduate ElementTiming

https://gerrit.wikimedia.org/r/531530

Change 539121 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/mediawiki-config@master] Remove origin trials config

https://gerrit.wikimedia.org/r/539121

Change 539121 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove origin trials config

https://gerrit.wikimedia.org/r/539121

Mentioned in SAL (#wikimedia-operations) [2019-09-25T13:41:00Z] <gilles@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T230817 Remove origin trials config (duration: 01m 05s)

Gilles closed this task as Resolved.Wed, Sep 25, 1:44 PM